#include <SDL3/SDL.h>

int gui_try_open_debugger(void) {
    return 1;
}

void gui_open_debugger(void) {
}

void gui_push_event(SDL_Event *event) {
    (void)event;
}

static unsigned int test_kstatus = 0;

void kat5200_set_status(unsigned int status) {
    test_kstatus = status;
}

unsigned int kat5200_get_status(void) {
    return test_kstatus;
}
